Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in openshift
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in openshift
ID: RHSA-2015:1650-01
Distribution: Red Hat
Plattformen: Red Hat OpenShift Enterprise
Datum: Sa, 22. August 2015, 00:10
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-5222
Applikationen:

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: openshift security update
Advisory ID: RHSA-2015:1650-01
Product: Red Hat OpenShift Enterprise
Advisory URL: https://access.redhat.com/errata/RHSA-2015:1650
Issue date: 2015-08-20
CVE Names: CVE-2015-5222
=====================================================================

1. Summary:

Updated openshift packages that fix one security issue are now available
for Red Hat OpenShift Enterprise 3.0.

Red Hat Product Security has rated this update as having Important security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

2. Relevant releases/architectures:

RHOSE 3.0 - x86_64

3. Description:

Red Hat OpenShift Enterprise is a cloud computing Platform-as-a-Service
(PaaS) solution designed for on-premise or private cloud deployments.

An improper permission check issue was discovered in the server admission
control component in OpenShift. A user with build permissions could use
this flaw to execute arbitrary shell commands on a build pod with the
privileges of the root user. (CVE-2015-5222)

This issue was discovered by Cesar Wong of the Red Hat OpenShift
Enterprise Team.

All OpenShift Enterprise users are advised to upgrade to these updated
packages, which correct this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1255120 - CVE-2015-5222 OpenShift3: Exec operations should be forbidden to
privileged pods such as builder pods

6. Package List:

RHOSE 3.0:

Source:
openshift-3.0.1.0-1.git.527.f8d5fed.el7ose.src.rpm

x86_64:
openshift-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm
openshift-clients-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm
openshift-master-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm
openshift-node-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm
openshift-sdn-ovs-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm
tuned-profiles-openshift-node-3.0.1.0-1.git.527.f8d5fed.el7ose.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2015-5222
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFV1inUXlSAg2UNWIIRAuobAKCMiKaoYSfe/XbCvrRsax8LnO9g2QCdEBvt
GCBc46D+kcZCDnr2IK8zwoM=
=uVu6
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung